/*
 * @Author: ysh
 * @Date: 2025-03-24 10:15:00
 * @LastEditors: 
 * @LastEditTime: 2025-03-24 10:15:15
 */
import request from '@/utils/request'

// 查询cmc专业领域列表
export function listField(query) {
  return request({
    url: '/oa/field/list',
    method: 'get',
    params: query
  })
}

// 查询cmc专业领域详细
export function getField(fieldId) {
  return request({
    url: '/oa/field/' + fieldId,
    method: 'get'
  })
}

// 新增cmc专业领域
export function addField(data) {
  return request({
    url: '/oa/field',
    method: 'post',
    data: data
  })
}

// 修改cmc专业领域
export function updateField(data) {
  return request({
    url: '/oa/field',
    method: 'put',
    data: data
  })
}

// 删除cmc专业领域
export function delField(fieldId) {
  return request({
    url: '/oa/field/' + fieldId,
    method: 'delete'
  })
}
